Incapable de résoudre les dépendances pour ':[email protected]/compileClasspath': impossible de résoudre le

Nouvellement installé Android studio 3.1.3 est de donner étrange dépendances d'erreur lors d'un nouveau projet et de la compilation pour la première fois.

Similaire question qui n'a pas aider à résoudre le problème.

Journaux D'Événements:

Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support:appcompat-v7:28.0.0-alpha3.
Open File
Show Details
Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support.constraint:constraint-layout:1.1.2.
Open File
Show Details
Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support:appcompat-v7:28.0.0-alpha3.
Open File
Show Details
Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support.constraint:constraint-layout:1.1.2.
Open File
Show Details
Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support:appcompat-v7:28.0.0-alpha3.
Open File
Show Details
Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support.constraint:constraint-layout:1.1.2.
Open File
Show Details
Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support:appcompat-v7:28.0.0-alpha3.
Open File
Show Details
Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support.constraint:constraint-layout:1.1.2.
Open File
Show Details
Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support:appcompat-v7:28.0.0-alpha3.
Open File
Show Details
Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve com.android.support.constraint:constraint-layout:1.1.2.
Open File
Show Details

Capture d'écran:

Incapable de résoudre les dépendances pour ':app@debug/compileClasspath': impossible de résoudre le

ce problème m'est arrivé plusieurs fois et forcer https ou http n'ai pas le résoudre, soit

  • Pouvez poster vos build.gradle les fichiers pour le niveau supérieur et le niveau de module?
  • Toute solution à votre problème ?
  • Salut comment avez-vous corriger votre erreur ? J'ai vu que vous n'avez pas accepter toutes les réponses ci-dessous. Alors, j'ai essayé toutes les solutions possibles mentionnés ci-dessous, mais aucun des em m'a aidé.
  • c'était un bug dans com.android.support:appcompat-v7:28.0.0-alpha3 donc je l'ai changé pour com.android.support:appcompat-v7:28.0.0 il a bien fonctionné
  • Je ne suis pas sûr à ce sujet. Mais je suis en train de travailler dans un environnement restreint. Alors j'ai juste couru tout en connectivité internet ouvert. Et il fonctionne très bien.
  • Avez-vous résolu ce problème? Je suis confronté au même
  • ouais, juste essayez de réduire la teneur de la version ou la version de build, dans mon cas, cela a fonctionné
  • Oui, je l'ai eu. J'ai eu 2 dépendances qui ont été en utilisant ancienne version de version de soutien.